---
title: '<xsl:decimal-format>'
slug: Web/XSLT/Element/decimal-format
tags:
  - Element
  - Reference
  - XSLT
  - decimal-format
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:decimal-format&gt;</code> element defines the characters and symbols that are to be used in converting numbers into strings using the<em><code>format-number( )</code></em> function.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:decimal-format
	name=NAME
	decimal-separator=CHARACTER
	grouping-separator=CHARACTER
	infinity=STRING
	minus-sign=CHARACTER
	NaN=STRING
	percent=CHARACTER
	per-mille=CHARATER
	zero-digit=CHARACTER
	digit=CHARACTER
	pattern-separator=CHARACTER /&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<p>None.</p>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>Specifies a name for this format.</dd>
</dl>

<dl>
 <dt><code>decimal-separator</code></dt>
 <dd>Specifies the decimal point character. The default is (<code>.</code>).</dd>
</dl>

<dl>
 <dt><code>grouping-separator</code></dt>
 <dd>Specifies the thousands separator character. The default is (<code>,</code>).</dd>
</dl>

<dl>
 <dt><code>infinity</code></dt>
 <dd>Specifies the string used to represent infinity. The default is the string "<code>Infinity</code>".</dd>
</dl>

<dl>
 <dt><code>minus-sign</code></dt>
 <dd>Specifies the minus sign character. The default is the hyphen (<code>-</code>).</dd>
</dl>

<dl>
 <dt><code>NaN</code></dt>
 <dd>Specifies the string used when the value is not a number. The default is the string "<code>NaN</code>".</dd>
</dl>

<dl>
 <dt><code>percent</code></dt>
 <dd>Specifies the percentage sign character. The default is (<code>%</code>).</dd>
</dl>

<dl>
 <dt><code>per-mille</code></dt>
 <dd>Specifies the per thousand character. The default is (<code>‰</code>).</dd>
</dl>

<dl>
 <dt><code>zero-digit</code></dt>
 <dd>Specifies the digit zero character. The default is (<code>0</code>).</dd>
</dl>

<dl>
 <dt><code>digit</code></dt>
 <dd>Specifies the character used in the format pattern to stand for a digit. The default is (<code>#</code>).</dd>
</dl>

<dl>
 <dt><code>pattern-separator</code></dt>
 <dd>Specifies the character separating positive and negative subpatterns in a format pattern. The default is the semi-colon (<code>;</code>).</dd>
</dl>

<h3 id="Type">Type</h3>

<p>Top-level, must be the child of <code>&lt;xsl:stylesheet&gt;</code> or <code>&lt;xsl:transform&gt;</code>.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 12.3.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported as of 1.0 (Mozilla 1.0, Netscape 7.0).</p>
